In order to install Apache2, mod_fcgid, and PHP5, run

apt-get install apache2 libapache2-mod-fcgid php5-cgi

If Apache2 was already installed with PHP5 as an Apache module, disable the PHP5 module now:

a2dismod php5

Then enable the following modules…

a2enmod rewrite
a2enmod suexec
a2enmod include
a2enmod fcgid

… and open /etc/php5/cgi/php.ini:

vi /etc/php5/cgi/php.ini

Add the line cgi.fix_pathinfo = 1 right at the end of the file:

cgi.fix_pathinfo = 1

Then reload Apache:

/etc/init.d/apache2 force-reload

Post By Editor (2,827 Posts)

Website: →